#This file is part of Tryton.  The COPYRIGHT file at the top level of
#this repository contains the full copyright notices and license terms.
from trytond.pool import Pool
from .period import Period, OpenPeriod
from .wage_type import WageType, WageTypeSalary
from .payroll import Payroll, PayrollLine, PayrollGroupStart, \
    PayrollGroup, PayrollReport, Move, PayrollRecompute, PayrollPreliquidation
from .category import CategoryWagesDefault, EmployeeCategory
from .employee import Employee, MandatoryWage, CreateMandatoryWages
from .configuration import StaffConfigurationSequence, StaffConfiguration
from .position import Position, WorkdayDefinition


def register():
    Pool.register(
        Position,
        WorkdayDefinition,
        Period,
        WageType,
        MandatoryWage,
        EmployeeCategory,
        Employee,
        Payroll,
        PayrollLine,
        CategoryWagesDefault,
        PayrollGroupStart,
        StaffConfigurationSequence,
        StaffConfiguration,
        WageTypeSalary,
        Move,
        module='staff_payroll', type_='model')
    Pool.register(
        PayrollReport,
        module='staff_payroll', type_='report')
    Pool.register(
        OpenPeriod,
        PayrollGroup,
        CreateMandatoryWages,
        PayrollPreliquidation,
        PayrollRecompute,
        module='staff_payroll', type_='wizard')
